#!/bin/bash

# Este script sirve para desactivar la IPv6 en sistemas linux (Probado en Ubuntu).
# Al desactivar IPv6 puedes aumentar la seguridad de tu sistema y si no la usas no tiene sentido tenerla.

echo "Desactivando IPv6 en Ubuntu Server 22.04..."

# Añadir configuración a sysctl.conf
echo -e "\n# Desactivar IPv6" | sudo tee -a /etc/sysctl.conf
echo "net.ipv6.conf.all.disable_ipv6 = 1" | sudo tee -a /etc/sysctl.conf
echo "net.ipv6.conf.default.disable_ipv6 = 1" | sudo tee -a /etc/sysctl.conf
echo "net.ipv6.conf.lo.disable_ipv6 = 1" | sudo tee -a /etc/sysctl.conf

# Aplicar los cambios sin reiniciar
sudo sysctl -p

# Verificar si IPv6 está deshabilitado
echo "Verificando estado de IPv6..."
ip a | grep inet6

echo "IPv6 ha sido desactivado (si no aparece ninguna dirección inet6, está deshabilitado)."
